signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | List of all members
RemotePluginProcessNS::CancelEventThread Class Reference

Thread to enable cancel functionality. More...

`#include <remotepluginprocess.h>`

Inheritance diagram for RemotePluginProcessNS::CancelEventThread:
[legend]
Collaboration diagram for RemotePluginProcessNS::CancelEventThread:
[legend]

## Public Slots
void | cancel ()

## Public Member Functions
| CancelEventThread (AuthPluginInterface *plugin)
| ~CancelEventThread ()
void | run ()

## Detailed Description

Thread to enable cancel functionality.

Definition at line 73 of file remotepluginprocess.h.

## Constructor & Destructor Documentation

RemotePluginProcessNS::CancelEventThread::CancelEventThread | ( | AuthPluginInterface * | plugin | ) |

Definition at line 510 of file remotepluginprocess.cpp.

RemotePluginProcessNS::CancelEventThread::~CancelEventThread | ( |  | ) |

Definition at line 516 of file remotepluginprocess.cpp.

## Member Function Documentation

void RemotePluginProcessNS::CancelEventThread::cancel | ( |  | ) |
| slot

Definition at line 535 of file remotepluginprocess.cpp.

Referenced by run().

void RemotePluginProcessNS::CancelEventThread::run | ( |  | ) |

Definition at line 521 of file remotepluginprocess.cpp.

References cancel().

The documentation for this class was generated from the following files:

- src/remotepluginprocess/remotepluginprocess.h
- src/remotepluginprocess/remotepluginprocess.cpp